%global pypi_name defusedxml

%global over	0.8.0
%global prel	rc2

Name:           python-%{pypi_name}
Version:        %{over}%{?prel:~%prel}
Release:        %mkrel 3
Summary:        XML bomb protection for Python stdlib modules
Group:          Development/Python
License:        Python
URL:            https://pypi.org/project/defusedxml/
Source0:        %{pypi_source %{pypi_name} %{over}%{?prel}}
Source1:        https://raw.githubusercontent.com/tiran/defusedxml/v%{over}%{?prel}/xmltestdata/schema-include.xsd

BuildArch:      noarch

BuildRequires:  python3-devel
# check
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(lxml)

%description
The defusedxml package contains several Python-only workarounds and fixes for
denial of service and other vulnerabilities in Python's XML libraries. In order
to benefit from the protection you just have to import and use the listed
functions / classes from the right defusedxml module instead of the original
module.

%package -n python3-%{pypi_name}
Summary:        XML bomb protection for Python stdlib modules
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
The defusedxml package contains several Python-only workarounds and fixes for
denial of service and other vulnerabilities in Python's XML libraries. In order
to benefit from the protection you just have to import and use the listed
functions / classes from the right defusedxml module instead of the original
module. This is the python3 build.

%prep
%autosetup -p1 -n %{pypi_name}-%{over}%{?prel}

if [ ! -f xmltestdata/schema-include.xsd ]; then
 cp -a %{SOURCE1} xmltestdata/
fi

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%{__python3} tests.py

%files -n python3-%{pypi_name} -f %{pyproject_files} -f %{pyproject_files}
%doc README.txt CHANGES.txt
%license LICENSE


%changelog
* Tue Dec 12 2023 papoteur <papoteur> 0.8.0~rc2-3.mga10
+ Revision: 2017310
- rebuild for python3.12
- adapt to pyproject

* Thu Dec 07 2023 wally <wally> 0.8.0~rc2-2.mga10
+ Revision: 2015270
- rebuild for py3.12

* Tue Nov 28 2023 wally <wally> 0.8.0~rc2-1.mga10
+ Revision: 2010724
- new version 0.8.0rc2
- use pyproject rpm macros

* Wed Mar 23 2022 umeabot <umeabot> 0.7.1-3.mga9
+ Revision: 1822387
- Mageia 9 Mass Rebuild

* Sat Feb 12 2022 tv <tv> 0.7.1-2.mga9
+ Revision: 1773367
- Fix filelist for python-3.10
- Rebuild for python-3.10

* Mon Mar 15 2021 wally <wally> 0.7.1-1.mga9
+ Revision: 1703488
- new version 0.7.1

* Sun Feb 16 2020 umeabot <umeabot> 0.6.0-3.mga8
+ Revision: 1531431
- Mageia 8 Mass Rebuild

* Fri Sep 13 2019 tv <tv> 0.6.0-2.mga8
+ Revision: 1440264
- rebuild for python-3.8
- drop python2 subpkg

* Mon Jul 01 2019 guillomovitch <guillomovitch> 0.6.0-1.mga8
+ Revision: 1417007
- new version 0.6.0

* Tue Jan 08 2019 shlomif <shlomif> 0.5.0-5.mga7
+ Revision: 1351546
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.5.0-4.mga7
+ Revision: 1288570
- Mageia 7 Mass Rebuild

* Mon Nov 27 2017 ngompa <ngompa> 0.5.0-3.mga7
+ Revision: 1180007
- Clean up and adapt for Mageia
- imported package python-defusedxml


* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Adam Williamson <awilliam@redhat.com> - 0.5.0-1
- Update to 0.5.0, drop merged/superseded patches
- Enable Python 3 build for EPEL 7, per https://fedoraproject.org/wiki/PackagingDrafts:Python3EPEL
- Drop format-string patch as Python 2.6 is no longer supported anyway
- Update URL to github
- Update source URL for pypi changes

* Thu Dec 22 2016 Adam Williamson <awilliam@redhat.com> - 0.4.1-9
- Fix incompatibility with Python 3.6 (gh#3 / gh#4)

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com>
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-8
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Nov 15 2015 Ralph Bean <rbean@redhat.com> - 0.4.1-6
- Added explicit python2 subpackage with modern provides statement.
- Only apply the entity_loop patch on enterprisey builds.

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-5
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Wed Aug 05 2015 Miro Hrončok <mhroncok@redhat.com> - 0.4.1-4
- Add patches by Avram Lubkin
- https://bugzilla.redhat.com/show_bug.cgi?id=927883#c14

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon May 26 2014 Miro Hrončok <mhroncok@redhat.com> - 0.4.1-1
- Updated to 0.4.1 (#1100730)

* Tue May 13 2014 Bohuslav Kabrda <bkabrda@redhat.com> - 0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Mar 26 2013 Miro Hrončok <mhroncok@redhat.com> - 0.4-1
- Initial package.
